Enable jQuery Migrate Helper

Implementador WordPress y VPS
Implementador WordPress y VPS
Enable jQuery Migrate Helper
icon loader
/

Llega WordPress 5.5 y muchos dan clic al botón actualizar sin pensárselo dos veces… ¿Y que ha pasao’? Errores por aquí y errores por allá… Pero no contábamos con su astucia y viene el WordPress Team al rescate con el plugin del que hablaremos hoy.

enable jquery migrate helper 1
  • Para entender que hace el plugin
  • Y no solo instalarlo “para que solucione todo”
  • Hablemos de la jQuery:
    • Es una biblioteca multiplataforma de JavaScript
    • Permite que el JavaScript interactúe con el HTML
    • Maneja eventos y agrega interacción AJAX en los sitios webs
    • Elementos dinámicos se ejecutan directamente en el navegador
  • Cuando se desarrolla un theme o plugin para WordPress
  • Es muy frecuente que se utilice el framework JavaScript: jQuery
  • Porque ya viene dentro de WordPress
  • ¿El problema es jQuery? ¡No!
  • Lo que pasa es que dentro de WordPress se tenia la jQuery Migrate 1.4.1
  • Esta biblioteca de JavaScript permitia que plugins y themes usaran código jQuery obsoleto
  • Es decir que los desarrolladores deberían de haber actualizado su código a la versión reciente de jQuery…
    • Pero no lo hacian
    • Y como jQuery Migrate resolvia
    • “Todos contentos”
  • Pero ¡no! Ya sabemos que…
    • WordPress es seguro si esta actualizado
    • Y si esta actualizado WordPress es seguro
  • Así que tiene todo el sentido del mundo que en WordPress 5.5 se quite jQuery Migrate
  • Pero esto va solo comenzando
  • Y no se puede hacer todo de golpe
  • Porque muchos navegadores solo con compatibles con “X” versión de jQuery
  • Para que te hagas una idea…
  • Antes de lanzar WordPress 5.5
  • Se detectaron que:
    • 2,400 plugins
    • Mas de 200 themes
  • Potencialmente podrían dar problema
  • ¿Cuales problemas podrían venir al actualizar a WordPress 5.5?
    • El editor se muestra en blanco
    • El editor clásico no funciona
    • “Establecer imagen destacada” no funcionan
    • “Agregar a medios” no funcionan
    • La vista de texto no funciona en 5.5
    • Falta actualización de la base de datos
    • El Slider no funciona
    • El menú móvil desaparece
    • La barra de búsqueda deja de funcionar
  • El equipo de WordPress ha puesto a nuestro disposición el plugin
  • Enable jQuery Migrate Helper
  • Este plugin restaura la biblioteca obsoleta de jQuery
  • Y tu sitio volverá a funcionar
  • Pero ¡OJO!
  • Lo soluciona de momento…
  • Pero es “una para mientras” en toda regla
  • Si tu web tiene un problema al actualizar a WordPress 5.5
  • Es por un plugin o theme que no ha actualizado
  • Si el theme o plugin sigue sin actualizarse y corregir los problemas
  • Deberías de buscar una alternativa
  • O esperar…
  • Porque algunos plugins con funciones muy especificas no se actualizan con tanta frecuencia

Los detalles técnicos

enable jquery migrate helper
  • Versión: 1.0.1
  • Última actualización: hace 1 semana
  • Instalaciones activas: 100.000+
  • Versión de WordPress:5.4 o superior
  • Probado hasta: 5.5
  • Versión de PHP:5.6 o superior

Este plugin te ayudará a descubrir que themes y plugins están dándote problemas, pero debes de tener claro que es una solución temporal.

Si querés ponerte en contacto conmigo, podes escribirme en mi Formulario de contacto aquí en la web 😉

Un comentario

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *